struts-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Yasser Zamani (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (WW-5032) Struts 2 Junit Plugin is not working with Zulu JDK11
Date Wed, 29 May 2019 08:13:00 GMT

    [ https://issues.apache.org/jira/browse/WW-5032?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16850606#comment-16850606
] 

Yasser Zamani edited comment on WW-5032 at 5/29/19 8:12 AM:
------------------------------------------------------------

[~lukaszlenart] it seems we must refactor {{org.apache.struts2}} package name to {{org.apache.struts2.junit}}
in struts2-junit-plugin to fix this issue because it seems JDK9+ doesn't allow split packages
across modules (however it's not a split package but is a not good selection for package names
in struts2-junit-plugin) but I'm not sure if we can do this in 2.5 , what's your idea? Are
2.5.x users uneasy with such change and refactoring their codes also to match our changes?


was (Author: yasser.zamani):
[~lukaszlenart] it seems we must refactor {{org.apache.struts2}} package name to {{org.apache.struts2.junit}}
to fix this issue because it seems JDK9+ doesn't allow split packages across modules (however
it's not a split package but is a not good selection for package names in struts2-junit-plugin)
but I'm not sure if we can do this in 2.5 , what's your idea? Are 2.5.x users uneasy with
such change and refactoring their codes also to match our changes?

> Struts 2 Junit Plugin is not working with Zulu JDK11
> ----------------------------------------------------
>
>                 Key: WW-5032
>                 URL: https://issues.apache.org/jira/browse/WW-5032
>             Project: Struts 2
>          Issue Type: Dependency
>          Components: Core, Plugin - JUnit
>    Affects Versions: 2.5.20
>         Environment: Zulu JDK 11.0
> Struts 2.5.20
> Struts 2 Junit Plugin V 2.5.20
> Junit 4.12
>            Reporter: Kiran Kumar
>            Priority: Blocker
>             Fix For: 2.6
>
>         Attachments: Error.PNG
>
>
> Unable to execute Junit test cases on Struts 2 using JDK 11.0 platform.Please find the
screens shots of the issues we are facing. Would really appreciate your help with this as
we are stuck and unable to move forward and losing time for a key deliverable.[^Junit_JDK
11.0_Struts 2 _Issue.docx]



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message